[Pkg-utopia-maintainers] Bug#517194: network-manager: Does not recognize/manage wired ethernet card any more

Raphael Hertzog hertzog at debian.org
Thu Feb 26 10:32:39 UTC 2009

Package: network-manager
Severity: important

For some reason, network-manager doesn't manage my wired ethernet
connection any more (version 0.6 used to deal with it without problem).
nm-applet now just says: "device not managed"

My /etc/network/interfaces has nothing fancy in it:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet dhcp

# Bridge interface with the ethernet card
#auto br0
#iface br0 inet dhcp
#    bridge_ports eth0 vbox0 vbox1
#    bridge_maxwait 0

(the second part was already deactivated prior to the upgrade)

I tried removing the two lines about eth0 but it didn't help.
The upgrade ended up without network available.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages network-manager depends on:
ii  adduser                3.110             add and remove users and groups
ii  dbus                   1.2.12-1          simple interprocess messaging syst
ii  dhcp3-client           3.1.1-6           DHCP client
ii  hal                    0.5.11-8          Hardware Abstraction Layer
ii  ifupdown               0.6.8+nmu1        high level tools to configure netw
ii  libc6                  2.9-3             GNU C Library: Shared libraries
ii  libdbus-1-3            1.2.12-1          simple interprocess messaging syst
ii  libdbus-glib-1-2       0.80-3            simple interprocess messaging syst
ii  libgcrypt11            1.4.4-2           LGPL Crypto library - runtime libr
ii  libglib2.0-0           2.18.4-2          The GLib library of C routines
ii  libgnutls26            2.6.4-2           the GNU TLS library - runtime libr
ii  libgpg-error0          1.4-2             library for common error values an
ii  libhal1                0.5.11-8          Hardware Abstraction Layer - share
ii  libnl1                 1.1-5             library for dealing with netlink s
ii  libnm-glib0          network management framework (GLib
ii  libnm-util1          network management framework (shar
ii  libpolkit-dbus2        0.9-3             library for accessing PolicyKit vi
ii  libpolkit2             0.9-3             library for accessing PolicyKit
ii  libtasn1-3             1.8-1             Manage ASN.1 structures (runtime)
ii  libuuid1               1.41.3-1          universally unique id library
ii  lsb-base               3.2-20            Linux Standard Base 3.2 init scrip
ii  wpasupplicant          0.6.4-3           Client support for WPA and WPA2 (I
ii  zlib1g                 1: compression library - runtime

Versions of packages network-manager recommends:
ii  network-manager-gnome    network management framework (GNOM
ii  policykit                  0.9-3         framework for managing administrat
ii  ppp                        2.4.4rel-10.1 Point-to-Point Protocol (PPP) - da

Versions of packages network-manager suggests:
ii  avahi-autoipd                 0.6.24-2   Avahi IPv4LL network address confi

-- no debconf information

More information about the Pkg-utopia-maintainers mailing list